Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class TextareaTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag
                        |
                        +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.TextareaTag

public class TextareaTag
extends MessageFieldTag

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag
`formTag, message, style`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`htmlAttributes, name, retainValue, retainValueBool, validatedValues, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`TextareaTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getCols()`
`protected java.lang.String` | `getDefaultRetainValue()`
`java.lang.String` | `getRows()`
`java.lang.String` | `getWrap()`
`void` | `release()`
`void` | `setCols(java.lang.String cols)`
`void` | `setRows(java.lang.String rows)`
`void` | `setWrap(java.lang.String wrap)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag
`buildMessage, getFormTag, getMessage, getStyle, setMessage, setStyle`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`addIntoPageContext, doEndTag, getHtmlAttributes, getHttpServletRequest, getName, getRetainValue, getRetainValueBool, getValue, setHtmlAttributes, setName, setRetainValue, setValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextareaTag

    public TextareaTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class MessageFieldTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getCols

    public java.lang.String getCols()

### setCols

    public void setCols(java.lang.String cols)

### getRows

    public java.lang.String getRows()

### setRows

    public void setRows(java.lang.String rows)

### getWrap

    public java.lang.String getWrap()

### setWrap

    public void setWrap(java.lang.String wrap)

### getDefaultRetainValue

    protected java.lang.String getDefaultRetainValue()

  Overrides:
    getDefaultRetainValue in class FieldTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved